var msg="<div style='display:block; position:relative; top:0px; left:0px; background:#ffffff; height:25px;'>Вы используете устаревшую версию браузера. "+
"Для наиболее корректного отображения страниц сайта рекомендуется использовать следующие версии браузеров: "+
"Internet Explorer v.8 и выше, Opera v.10 и выше, Google Chrome v.5 и выше, Mozilla Firefox v.4 и выше, Safari v.4 и выше" +
"</div>";

if(detectIE6()){
    alert("Вы используете устаревшую версию браузера. "+
        "Для наиболее корректного отображения страниц сайта рекомендуется использовать следующие версии браузеров: "+
        "Internet Explorer v.8 и выше, Opera v.10 и выше, Google Chrome v.5 и выше, Mozilla Firefox v.4 и выше, Safari v.4 и выше");
}

function detectIE6(){
    var browser = navigator.appName;
    if (browser == "Microsoft Internet Explorer"){
        var b_version = navigator.appVersion;
        var re = /\MSIE\s+(\d\.\d\b)/;
        var res = b_version.match(re);
        if (res[1] <= 6){
            return true;
        }
    }
    return false;
}
$(document).ready(function(){
    if($.browser.msie){
        if($.browser.version*1<=7){
            $(msg).prependTo(document.body);
        }
		
    } 
    if($.browser.webkit){
        if($.browser.version*1<530){
            $(msg).prependTo(document.body);
        }
    }
    if($.browser.opera){
        if($.browser.version*1<10){
            $(msg).prependTo(document.body);
        }
    }
    if($.browser.mozilla){
        if($.browser.version*1<2){
            $(msg).prependTo(document.body);
        }
    }
    
    $("#printPageLink").click(function(){		
        var wnd = window.open("print","print",'width=300,height=200,toolbar=1');
        wnd.document.write($("#content").html());
        wnd.focus();
        wnd.print();
    });
        
    $(".caseSearch>input").focus(function(){
        if($(this).val()==$(this).attr("title")){
            $(this).val("");
        }
    });
    $(".caseSearch>input").blur(function(){
        if($(this).val()==""){
            $(this).val($(this).attr("title"));
        }
    });
    $(".caseSearch>button").click(function(){
        $(".caseSearch>input").each(function(){
            if($(this).val()==$(this).attr("title")){
                $(this).val("");
            }
        });
            
    });
    $(".shArr").click(function(){
        if($("#"+$(this).attr("name")).hasClass("sideInformer")){
            $("#"+$(this).attr("name")).parents("table").find(".sideInformer").hide(); 
        }
        if($("#"+$(this).attr("name")).hasClass("shMoreInfo")){
            $(".shMoreInfo").hide(); 
        }
        $("#"+$(this).attr("name")).fadeToggle("fast");         
        return false;
    });    
    $("body").click(function(){$("table .sideInformer,.shMoreInfo").hide();})
    /*ui*/
    $( "input:submit,input:reset, button.button, a.button, input.button[type='reset']").button();
    $(".ui-search").button({
        icons: {
            primary: "ui-icon-search"
        },
        text: "111",
        label: ""
    });

    $.datepicker.setDefaults($.datepicker.regional['ru']);
    $( ".datepicker" ).datepicker({
        dateFormat: 'dd.mm.yy',
        firstDay: 1,
        changeYear: true,
        changeMonth: true
    });
    $("#leftCalendar").datepicker({
        dateFormat: 'dd.mm.yy',
        firstDay: 1,
        changeYear: true,
        changeMonth: true,
        onSelect: function(dateText, inst) {
            document.location.href="http://14aas.arbitr.ru/cases/ctimetable/?tid=0&filter=true&college=&dateto=&datefrom="+dateText;
        }
    });
    
    /*Калькулятор госпошлины - селектор*/
    $(".changeSelectTax").click(function(){
        $(".taxSelectorContent").toggle();
        return false;
    });
    $("button[name='dispute_sel']").click(function(){
        $(".taxSelectorContent").hide();
        $("#selectedType").html($(this).html());
        $("div[id^='divtax_dispute_']").hide();
        $("div[id^='divtax_dispute_"+$(this).val()+"']").show();
        $("input[name='dispute']").val($(this).val());
        return false;
    });
});